> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/bmc/load-balancing/registerbackend.md).

# RegisterBackend

## 1. 接口描述

本接口(RegisterBackend)用于创建将一台后端服务器(vm或bmc实例)绑定到负载均衡的监听器。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型                                                                                | 描述                                                      |
| ------------ | -- | --------------------------------------------------------------------------------- | ------------------------------------------------------- |
| listenerId   | 是  | String                                                                            | 监听器的ID。                                                 |
| backendName  | 是  | String                                                                            | <p>后端配置服务器名称。</p><p>不得超过64个字符。仅支持输入字母、数字、-和英文句点(.)。</p> |
| instanceId   | 是  | String                                                                            | 裸金属或虚拟机实例ID。                                            |
| clientToken  | 是  | String                                                                            | 用于保证请求的幂等性。                                             |
| instanceType | 否  | [InstanceProductType](/api-reference/cn/bmc/datastructure.md#instanceproducttype) | <p>实例类型。</p><p>默认值：BM</p>                               |
| portList     | 否  | Array of Integer                                                                  | 端口列表。                                                   |
| weight       | 否  | Integer                                                                           | <p>权重。</p><p>可选值范围：\[1, 100]</p>                        |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| backendId | String | 后端配置服务器的ID。                                              |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **将一台裸金属实例作为后端服务器绑定到负载均衡的监听器**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: RegisterBackend
Request:
{
  "listenerId": "xxxx",
  "backendName": "xxxx",
  "portList": [80],
  "clientToken": "xxxx",
  "weight": 100,
  "instanceId": "xxxx"
}
Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "backendId": "xxxx"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
